summaryrefslogtreecommitdiff
path: root/libraries/pygobject
diff options
context:
space:
mode:
authorErik Hanson <erik@slackbuilds.org>2010-05-11 14:56:25 +0200
committerErik Hanson <erik@slackbuilds.org>2010-05-11 14:56:25 +0200
commit68e60908af38bec28b43171a61dd87c0dcd002a1 (patch)
tree2b07ccaadc0f795607a879c5d68eb8e6dcb3dc8b /libraries/pygobject
parent1b1f9cecb048b3f44008a69e0aa6d40dab6573e0 (diff)
downloadslackbuilds-68e60908af38bec28b43171a61dd87c0dcd002a1.tar.gz
libraries/pygobject: Initial import
Diffstat (limited to 'libraries/pygobject')
-rw-r--r--libraries/pygobject/README6
-rw-r--r--libraries/pygobject/pygobject.SlackBuild51
-rw-r--r--libraries/pygobject/pygobject.info8
-rw-r--r--libraries/pygobject/slack-desc10
4 files changed, 75 insertions, 0 deletions
diff --git a/libraries/pygobject/README b/libraries/pygobject/README
new file mode 100644
index 0000000000..34e6c258a6
--- /dev/null
+++ b/libraries/pygobject/README
@@ -0,0 +1,6 @@
+This archive contains bindings for the GObject, to be used in Python
+It is a fairly complete set of bindings, it's already rather useful,
+and is usable to write moderately complex programs.
+
+This is an optional dependency for pygtk, available on slackbuilds.org
+
diff --git a/libraries/pygobject/pygobject.SlackBuild b/libraries/pygobject/pygobject.SlackBuild
new file mode 100644
index 0000000000..964d7682c0
--- /dev/null
+++ b/libraries/pygobject/pygobject.SlackBuild
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# Slackware build script for pygobject
+# Written by Erik Hanson erik@slackbuilds.org
+# Modified by the SlackBuilds.org project
+
+PRGNAM=pygobject
+VERSION=2.12.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog PKG-INFO INSTALL AUTHORS COPYING NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/usr/doc/$PRGNAM-$VERSION ; ln -s ../../share/gtk-doc/html/pygobject html )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/pygobject/pygobject.info b/libraries/pygobject/pygobject.info
new file mode 100644
index 0000000000..5aa7ba295c
--- /dev/null
+++ b/libraries/pygobject/pygobject.info
@@ -0,0 +1,8 @@
+PRGNAM="pygobject"
+VERSION="2.12.3"
+HOMEPAGE="http://www.pygtk.org/"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/pygobject/2.12/pygobject-2.12.3.tar.bz2"
+MD5SUM="009986021225b7ea6e0ba848707785af"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="elohim,robw810"
diff --git a/libraries/pygobject/slack-desc b/libraries/pygobject/slack-desc
new file mode 100644
index 0000000000..a8b3a71d19
--- /dev/null
+++ b/libraries/pygobject/slack-desc
@@ -0,0 +1,10 @@
+pygobject: pygobject - GObject bindings for Python
+pygobject:
+pygobject: This archive contains bindings for the GObject, to be used in Python
+pygobject: It is a fairly complete set of bindings, it's already rather useful,
+pygobject: and is usable to write moderately complex programs.
+pygobject:
+pygobject: http://www.pygtk.org/
+pygobject:
+pygobject:
+pygobject: